For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all rentable items
        • GETGet rentable item by ID
        • GETGet all property lists
        • GETGet a property list by ID
        • PUTUpdate Property: Yardi - Not Supported
        • POSTCreate Property: Yardi - Not Supported
        • POSTCreate Property file: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Properties

Get all rentable items

GET
/v1/rentable-items/
GET
/v1/rentable-items/
$curl https://api.propexo.com/v1/rentable-items/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "14891",
18 "x_property_id": "comboss2",
19 "x_location_id": null,
20 "x_applicant_id": "p123456",
21 "x_lead_id": "p123456",
22 "x_resident_id": "t0090622",
23 "x_type_id": "1482",
24 "x_charge_code_id": "rentoth",
25 "amount_in_cents": 40000,
26 "description": "Shed",
27 "name": "14891",
28 "is_available": true,
29 "reserved_until_date": "2022-01-01T00:00:00.000Z",
30 "type": "Shed",
31 "integration_id": "clwh5u07w000508me66sfh3um",
32 "integration_vendor": "YARDI",
33 "property_id": "clwi5xiix000008l6ctdgafyh",
34 "charge_code_id": "test_integration:na:rentoth",
35 "applicant_id": null,
36 "lead_id": null,
37 "resident_id": "string"
38 }
39 ]
40}
Get all rentable items
Was this page helpful?
Previous

Get rentable item by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error